--==========================================================
-- Design units : MULTbehave (Behavior)
--
-- File name    : MULTbehave.vhd
--
-- Purpose      : Behavioral  description of the multiplier 
--                benchmark
--
-- Limitations  : None
--
-- Library      : WORK
--
-- Dependencies : None
--
-- Author       : Hans-Peter Eich, REFT
--
-- Simulator    : Synopsys V3.1a on Sun SPARCstation 10
--
-----------------------------------------------------------
-- Revision list
-- Version Author Date           Changes
--
-- V1.0    hpe    14.01.95       ESA standard
-- V1.1    cjt    07.06.95       
--=========================================================

ENTITY MULTbehave IS
  GENERIC(N : POSITIVE := 4);                        -- default n = 4
  PORT (A: IN  INTEGER RANGE 2**N-1 DOWNTO 0;        -- data in
        B: IN  INTEGER RANGE 2**N-1 DOWNTO 0;        -- data in
        P: OUT INTEGER RANGE (2**(2*N))-1 DOWNTO 0); -- data out
END MULTbehave;

--============================ARCHITECTURE==================

ARCHITECTURE Behavior OF MULTbehave IS
BEGIN

  main: PROCESS (A,B)
  BEGIN

    P <= A*B;
  
  END PROCESS;

END Behavior;

--============================CONFIGURATION=================

CONFIGURATION MULTbehave_Config OF MULTbehave IS
  FOR Behavior
  END FOR;
END MULTbehave_Config;
